class Assets {
  Assets._();
  static const String background = "assets/images/Background.png";
  static const String webBackground = "assets/images/web_Background.svg";
  static const String blackLogo = "assets/images/black-logo.png";
  static const String logo = "assets/images/Logo.svg";
  static const String logoHorizontal = "assets/images/logo_horizontal.png";
  static const String vector = "assets/images/Vector.png";
  static const String loginLogo = "assets/images/login_logo.svg";
  static const String whiteLogo = "assets/images/white-logo.png";
  static const String window = "assets/images/Window.png";
  static const String liftLine = "assets/images/lift_line.png";
  static const String rightLine = "assets/images/right_line.png";
  static const String google = "assets/images/google.svg";
  static const String facebook = "assets/images/facebook.svg";
  static const String invisiblePassword = "assets/images/Password_invisible.svg";
  static const String visiblePassword = "assets/images/password_visible.svg";
  static const String accessIcon = "assets/images/access_icon.svg";
  static const String spaseManagementIcon = "assets/images/spase_management_icon.svg";
  static const String devicesIcon = "assets/images/devices_icon.svg";
  static const String moveinIcon = "assets/images/movein_icon.svg";
  static const String constructionIcon = "assets/images/construction_icon.svg";
  static const String energyIcon = "assets/images/energy_icon.svg";
  static const String integrationsIcon = "assets/images/Integrations_icon.svg";
  static const String assetIcon = "assets/images/asset_icon.svg";
  static const String calendarIcon = "assets/images/calendar_icon.svg";
  static const String deviceNoteIcon = "assets/images/device_note.svg";
  static const String timeIcon = "assets/images/time_icon.svg";
  static const String emptyTable = "assets/images/empty_table.svg";

  // General assets
  static const String motionlessDetection = "assets/icons/motionless_detection.svg";
  static const String acHeating = "assets/icons/ac_heating.svg";
  static const String acPowerOff = "assets/icons/ac_power_off.svg";
  static const String acFanMiddle = "assets/icons/ac_fan_middle.svg";
  static const String switchAlarmSound = "assets/icons/switch_alarm_sound.svg";
  static const String resetOff = "assets/icons/reset_off.svg";
  static const String sensitivityOperationIcon = "assets/icons/sesitivity_operation_icon.svg";
  static const String motionDetection = "assets/icons/motion_detection.svg";
  static const String freezing = "assets/icons/freezing.svg";
  static const String indicator = "assets/icons/indicator.svg";
  static const String sceneRefresh = "assets/icons/scene_refresh.svg";
  static const String temperature = "assets/icons/tempreture.svg";
  static const String acFanHigh = "assets/icons/ac_fan_high.svg";
  static const String fanSpeed = "assets/icons/fan_speed.svg";
  static const String acFanLow = "assets/icons/ac_fan_low.svg";
  static const String sensitivity = "assets/icons/sensitivity.svg";
  static const String lightCountdown = "assets/icons/light_countdown.svg";
  static const String farDetection = "assets/icons/far_detection.svg";
  static const String sceneChildUnlock = "assets/icons/scene_child_unlock.svg";
  static const String acFanAuto = "assets/icons/ac_fan_auto.svg";
  static const String childLock = "assets/icons/child_lock.svg";
  static const String factoryReset = "assets/icons/factory_reset.svg";
  static const String acCooling = "assets/icons/ac_cooling.svg";
  static const String sceneChildLock = "assets/icons/scene_child_lock.svg";
  static const String celsiusDegrees = "assets/icons/celsius_degrees.svg";
  static const String masterState = "assets/icons/master_state.svg";
  static const String acPower = "assets/icons/ac_power.svg";
  static const String farDetectionFunction = "assets/icons/far_detection_function.svg";
  static const String nobodyTime = "assets/icons/nobody_time.svg";

  // Automation functions
  static const String tempPasswordUnlock =
      "assets/icons/automation_functions/temp_password_unlock.svg";
  static const String doorlockNormalOpen =
      "assets/icons/automation_functions/doorlock_normal_open.svg";
  static const String doorbell = "assets/icons/automation_functions/doorbell.svg";
  static const String remoteUnlockViaApp =
      "assets/icons/automation_functions/remote_unlock_via_app.svg";
  static const String doubleLock = "assets/icons/automation_functions/double_lock.svg";
  static const String selfTestResult = "assets/icons/automation_functions/self_test_result.svg";
  static const String lockAlarm = "assets/icons/automation_functions/lock_alarm.svg";
  static const String presenceState = "assets/icons/automation_functions/presence_state.svg";
  static const String currentTemp = "assets/icons/automation_functions/current_temp.svg";
  static const String presence = "assets/icons/automation_functions/presence.svg";
  static const String residualElectricity =
      "assets/icons/automation_functions/residual_electricity.svg";
  static const String hijackAlarm = "assets/icons/automation_functions/hijack_alarm.svg";
  static const String passwordUnlock = "assets/icons/automation_functions/password_unlock.svg";
  static const String remoteUnlockRequest =
      "assets/icons/automation_functions/remote_unlock_req.svg";
  static const String cardUnlock = "assets/icons/automation_functions/card_unlock.svg";
  static const String motion = "assets/icons/automation_functions/motion.svg";
  static const String fingerprintUnlock =
      "assets/icons/automation_functions/fingerprint_unlock.svg";

  // Presence Sensor Assets
  static const String sensorMotionIcon = "assets/icons/sensor_motion_ic.svg";
  static const String sensorPresenceIcon = "assets/icons/sensor_presence_ic.svg";
  static const String sensorVacantIcon = "assets/icons/sensor_vacant_ic.svg";
  static const String illuminanceRecordIcon = "assets/icons/illuminance_record_ic.svg";
  static const String presenceRecordIcon = "assets/icons/presence_record_ic.svg";
  static const String helpDescriptionIcon = "assets/icons/help_description_ic.svg";

  static const String lightPulp = "assets/icons/light_pulb.svg";
  static const String acDevice = "assets/icons/ac_device.svg";
  static const String acAirConditioner = "assets/icons/ac_air.svg";
  static const String acSun = "assets/icons/ac_sun.svg";

  //assets/icons/3GangSwitch.svg
  static const String gangSwitch = "assets/icons/3GangSwitch.svg";
  //assets/icons/AC.svg
  static const String ac = "assets/icons/AC.svg";
  //assets/icons/Curtain.svg
  static const String curtain = "assets/icons/Curtain.svg";
  //assets/icons/doorLock.svg
  static const String doorLock = "assets/icons/doorLock.svg";
  //assets/icons/Gateway.svg
  static const String gateway = "assets/icons/Gateway.svg";
  //assets/icons/Light.svg
  static const String lightBulb = "assets/icons/Light.svg";
  //assets/icons/sensors.svg
  static const String sensors = "assets/icons/sensors.svg";

  //assets/icons/door_un_look_ic.svg
  static const String doorUnlock = 'assets/icons/door_un_look_ic.svg';

  //assets/icons/lockIcon.svg
  static const String lockIcon = 'assets/icons/lockIcon.svg';

  static const String bathroom = 'assets/icons/bathroom.svg';
  static const String bedroom = 'assets/icons/bedroom.svg';
  static const String dyi = 'assets/icons/dyi.svg';
  static const String office = 'assets/icons/office.svg';
  static const String parlour = 'assets/icons/parlour.svg';
  static const String grid = "assets/images/grid.svg";
}
